<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Qualifikationen;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer\TeilnehmerHelper;

class QualifikationenUseCase extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Qualifikationen\QualifikationenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_MA;
  }

  public static function getToolSectionId()
  {
    return 411;
  }

  
  protected function getAusbildungToolSectionId()
  {
    return 259;
  }

  
  protected function getWerdegangToolSectionId()
  {
    return 260;
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createMitarbeiterTeilnehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }
}